# Drop target support

This module extends the functionality of the web client to support dropping local files into the web client.

By default, an attachment will be created when dropping a file on a form.

Further, this module is meant as a base drag&drop module supporting other actions after some file is dropped so that other modules can add more features.

Table of contents

- Usage
- Development
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

To use this module, you need to:

1. drag a file from your local computer onto an Odoo form view
2. it should become an attachment of the currently opened record

# Development

Libraries

- base64js.

# Known issues / Roadmap

- dropping on list or kanban views would be nice too
- handle multiple files
- add an upload progress meter for huge files
- trigger custom events about different stages of the drop operation for other addons to hook in
- Install document module to display attachments in the sidebar

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us smashing it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Therp BV

## Contributors

- Holger Brunn <hbrunn@therp.nl>
- Pablo Fuentes <pablo@studio73.es>
- Akim Juillerat <akim.juillerat@camptocamp.com>
- Enric Tobella <etobella@creublanca.es>
- Lois Rilo <lois.rilo@forgeflow.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/web project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.